List all workflows for provided partition.
Key Points
- This will include both the private and public workflows.
- Workflows can be fetched using this API.
- If the workflow service is down we get a 502 from gateway.
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/workflow/v1/workflow
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-workflow-service/workflow
curl -i -X GET \
'https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow?prefix=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'data-partition-id: string'List of all the workflows (public & private) accessible from the partition.
Response
[ { "createdBy": "string", "creationTimestamp": 0, "description": "string", "registrationInstructions": { … }, "version": 0, "workflowId": "string", "workflowName": "string" } ]